import { IApiResponse, IApiResponseCollection, ITerminal } from '..';
export interface ITerminalService {
    fetchTerminals(accountId: string, authToken: string, params: any): Promise<IApiResponseCollection<ITerminal[]>>;
    fetchTerminal(terminalId: string, authToken: string): Promise<IApiResponse<ITerminal>>;
    fetchTerminalModels(accountId: string, authToken: string, params: any): Promise<IApiResponseCollection<ITerminal>>;
    orderTerminals(authToken: string, terminalOrder: any): Promise<IApiResponse<ITerminal>>;
}
export declare class TerminalService implements ITerminalService {
    fetchTerminals(accountId: string, authToken: string, params: any): Promise<IApiResponseCollection<ITerminal[]>>;
    fetchTerminal(terminalId: string, authToken: string): Promise<IApiResponse<ITerminal>>;
    fetchTerminalModels(accountId: string, authToken: string): Promise<IApiResponseCollection<ITerminal>>;
    orderTerminals(authToken: string, terminalOrder: any): Promise<IApiResponse<ITerminal>>;
}
